commit:     b8ddda03538920c3114441dfc6c9560336930de1
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 20 19:16:46 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 20 19:16:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b8ddda03

sys-libs/rpmatch-standalone: EAPI 6 -> 8

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 .../rpmatch-standalone-1.0-r1.ebuild               | 36 ++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/sys-libs/rpmatch-standalone/rpmatch-standalone-1.0-r1.ebuild 
b/sys-libs/rpmatch-standalone/rpmatch-standalone-1.0-r1.ebuild
new file mode 100644
index 000000000000..7310a10e2914
--- /dev/null
+++ b/sys-libs/rpmatch-standalone/rpmatch-standalone-1.0-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Standalone rpmatch library for use with musl"
+HOMEPAGE="https://github.com/pullmoll/musl-rpmatch";
+SRC_URI="https://github.com/pullmoll/musl-rpmatch/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/musl-rpmatch-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~riscv ~x86"
+IUSE="static-libs"
+
+RDEPEND="!sys-libs/glibc"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+
+       insinto /usr/$(get_libdir)/pkgconfig/
+       newins musl-rpmatch.pc ${PN}.pc
+}

Reply via email to